import { OnInit, EventEmitter, ElementRef, SimpleChanges } from '@angular/core';
import { JnyPreHttpServicesService } from 'jny-pre-http-services';
import { JnyUserPickerService } from './jny-user-picker.service';
export declare class JnyUserPickerComponent implements OnInit {
    private httpService;
    private jnyUserPickerService;
    uidTextElement: ElementRef;
    ctrlUrl: string;
    value: string;
    selectEmpDept: string;
    selectEmpName: string;
    valueChange: EventEmitter<any>;
    userInfo: EventEmitter<any>;
    STORAGE_KEY: string;
    visible: boolean;
    selectDept: string;
    isLoading: boolean;
    selectEmp: {
        deptNo: string;
        userNo: string;
        cname: string;
    };
    deptVOs: Array<DeptVO>;
    empVOs: Array<EmpVO>;
    constructor(httpService: JnyPreHttpServicesService, jnyUserPickerService: JnyUserPickerService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    changeUser(): boolean;
    qryEmp(deptNo: string): import("rxjs").Observable<Object>;
    pickDept(): void;
    pickUser(event: any): void;
    checkAuth(): void;
    setValueEmit(data: any): void;
    showUserPicker(): void;
    getUserByDept(): void;
    qryEmpBySameDept(empNo: string): void;
    setEmpVos(carrier: any): void;
    addAuth(): void;
    queryDeptVOs(): void;
    getLoginUser(): LoginUserVO;
    setuidTextFocus(): void;
}
export declare class DeptVO {
    deptNo: string;
    deptName: string;
}
export declare class EmpVO {
    userNo: string;
    cname: string;
    deptNo: string;
    hasAuth: string;
}
export declare class LoginUserVO {
    tokenId: string;
    userId: string;
    userName: string;
    postId: string;
    postName: string;
    deptNo: string;
    deptName: string;
}
